# strings_type.h File Reference

Types related to strings. More...

Go to the source code of this file.

## Data Structures
struct | Language
| Information about a language. More...
struct | DynamicLanguages
| Used for dynamic language support. More...
## Typedefs
typedef uint16 | StringID
| Numeric value that represents a string, independent of the selected language.
## Enumerations
enum | { MAX_LANG = 64 }
enum | TextDirection { TD_LTR, TD_RTL }
| Directions a text can go to. More...
enum | SpecialStrings { SPECSTR_TOWNNAME_START = 0x20C0, SPECSTR_TOWNNAME_ENGLISH = SPECSTR_TOWNNAME_START, SPECSTR_TOWNNAME_FRENCH, SPECSTR_TOWNNAME_GERMAN, SPECSTR_TOWNNAME_AMERICAN, SPECSTR_TOWNNAME_LATIN, SPECSTR_TOWNNAME_SILLY, SPECSTR_TOWNNAME_SWEDISH, SPECSTR_TOWNNAME_DUTCH, SPECSTR_TOWNNAME_FINNISH, SPECSTR_TOWNNAME_POLISH, SPECSTR_TOWNNAME_SLOVAK, SPECSTR_TOWNNAME_NORWEGIAN, SPECSTR_TOWNNAME_HUNGARIAN, SPECSTR_TOWNNAME_AUSTRIAN, SPECSTR_TOWNNAME_ROMANIAN, SPECSTR_TOWNNAME_CZECH, SPECSTR_TOWNNAME_SWISS, SPECSTR_TOWNNAME_DANISH, SPECSTR_TOWNNAME_TURKISH, SPECSTR_TOWNNAME_ITALIAN, SPECSTR_TOWNNAME_CATALAN, SPECSTR_TOWNNAME_LAST = SPECSTR_TOWNNAME_CATALAN, SPECSTR_PLAYERNAME_START = 0x70EA, SPECSTR_PLAYERNAME_ENGLISH = SPECSTR_PLAYERNAME_START, SPECSTR_PLAYERNAME_FRENCH, SPECSTR_PLAYERNAME_GERMAN, SPECSTR_PLAYERNAME_AMERICAN, SPECSTR_PLAYERNAME_LATIN, SPECSTR_PLAYERNAME_SILLY, SPECSTR_PLAYERNAME_LAST = SPECSTR_PLAYERNAME_SILLY, SPECSTR_ANDCO_NAME = 0x70E6, SPECSTR_PRESIDENT_NAME = 0x70E7, SPECSTR_LANGUAGE_START = 0x7100, SPECSTR_LANGUAGE_END = SPECSTR_LANGUAGE_START + MAX_LANG - 1, SPECSTR_RESOLUTION_START = SPECSTR_LANGUAGE_END + 1, SPECSTR_RESOLUTION_END = SPECSTR_RESOLUTION_START + 0x1F, SPECSTR_SCREENSHOT_START = SPECSTR_RESOLUTION_END + 1, SPECSTR_SCREENSHOT_END = SPECSTR_SCREENSHOT_START + 0x1F }
| Special string constants.
## Variables
static const StringID | INVALID_STRING_ID = 0xFFFF
| Constant representing an invalid string.
static const int | MAX_CHAR_LENGTH = 4
| Max. length of UTF-8 encoded unicode character.

## Detailed Description

Types related to strings.

Definition in file strings_type.h.

## Enumeration Type Documentation

anonymous enum

Enumerator:

  MAX_LANG | Maximal number of languages supported by the game.

Definition at line 22 of file strings_type.h.

enum TextDirection

Directions a text can go to.

Enumerator:

  TD_LTR | Text is written left-to-right by default.
  TD_RTL | Text is written right-to-left by default.

Definition at line 27 of file strings_type.h.